---
title: List
url: https://www.tines.com/docs/api/cases/files/list/
updated: 2025-07-11T15:20:27+00:00
description: Retrieve a list of files for a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Files](https://www.tines.com/llm/docs/api/cases/files.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/cases/files/list/)*

## Description

Retrieve a list of files for a case.

> **Note**: Each file includes a download URL. To get file metadata only, use the `/info` endpoint. To download the file contents, use the `/download` endpoint.

## Request

HTTP Method: **GET**

| Parameter | Description                                                                                         |
| --------- | --------------------------------------------------------------------------------------------------- |
| case_id   | The ID of the case.                                                                                 |
| per_page  | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page      | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/files \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object with the details of the files for a case.

### Field description

| Parameter | Description                       |
| --------- | --------------------------------- |
| case_id   | The case ID.                      |
| files     | An array of files on to the case. |

| Files parameter | Description                                                                                                 |
| --------------- | ----------------------------------------------------------------------------------------------------------- |
| id              | The ID of the record with the comment attached to the case.                                                 |
| activity_type   | The type of activity taken on the case - `file_attached` or `file_attached_and_commented` in this instance. |
| value           | The comment added alongside file.                                                                           |
| created_at      | ISO 8601 Timestamp representing creation date.                                                              |
| user            | Details of the user.                                                                                        |
| reactions       | An array of objects describing the reactions and their reactants on the comment.                            |

| User parameter     | Description                                          |
| ------------------ | ---------------------------------------------------- |
| user_id            | The user ID.                                         |
| first_name         | The user's first name.                               |
| last_name          | The user's last name.                                |
| email              | The user's email address.                            |
| avatar_url         | The user's avatar url.                               |
| is_service_account | Whether this user is a service account (true/false). |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "files": [
    {
      "id": 7508,
      "activity_type": "FILE_ATTACHED_AND_COMMENTED",
      "value": "This is a comment alongside a file",
      "created_at": "2024-03-25T15:40:39Z",
      "file": {
        "filename": "hello.txt",
        "url": "http://<tenant-domain>/api/v2/cases/42/files/7508/download"
      },
      "user": {
        "user_id": 1,
        "first_name": "Jane",
        "last_name": "Doe",
        "email": "jane@tines.io",
        "avatar_url": "example.com/avatar",
        "is_service_account": false
      }
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v2/cases/42/comments?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```
